## firefox 82.0~mozillabinaries

=== debian/changelog ===
firefox (82.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Oct 2020 14:25:55 -0700
