## firefox 82.0.1~mozillabinaries

=== debian/changelog ===
firefox (82.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 27 Oct 2020 14:50:49 -0700
