## firefox 82.0.2~mozillabinaries

=== debian/changelog ===
firefox (82.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 31 Oct 2020 14:06:28 -0700
