## firefox 82.0.3~mozillabinaries

=== debian/changelog ===
firefox (82.0.3~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 09 Nov 2020 15:50:59 -0800
