## firefox 83.0~mozillabinaries

=== debian/changelog ===
firefox (83.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 17 Nov 2020 19:13:37 -0800
