## firefox 83.0

=== debian/changelog ===
firefox (83.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-50, also known as:
    CVE-2020-26951, CVE-2020-26952, CVE-2020-16012, CVE-2020-26953,
    CVE-2020-26956, CVE-2020-26958, CVE-2020-26959, CVE-2020-26960,
    CVE-2020-26961, CVE-2020-26962, CVE-2020-26963, CVE-2020-26965,
    CVE-2020-26967, CVE-2020-26968, CVE-2020-26969.

  * debian/control*: Bump nss and cbindgen build dependencies.

 -- Mike Hommey <glandium@debian.org>  Wed, 18 Nov 2020 07:06:09 +0900

firefox (82.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-49, also known as CVE-2020-26950.

 -- Mike Hommey <glandium@debian.org>  Tue, 10 Nov 2020 07:32:32 +0900

firefox (82.0.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/control*: Remove autoconf2.13 build dependency.

  * config/external/icu/data/moz.build: Use the right data file for ICU on
    big endians. bz#1673769.

 -- Mike Hommey <glandium@debian.org>  Fri, 30 Oct 2020 06:03:59 +0900

firefox (82.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-45, also known as:
    CVE-2020-15969, CVE-2020-15254, CVE-2020-15680, CVE-2020-15681,
    CVE-2020-15682, CVE-2020-15683, CVE-2020-15684.

  [Emilio Pozuelo Monfort]
  * debian/browser.bug-presubj.in, debian/control.in, debian/rules,
    debian/symbols.mk, debian/upstream.mk: Remove support for jessie.
  * debian/control.in, debian/rules: stretch: build with LLVM 7, 4.0 doesn't
    support -std=gnu++17.
  * debian/rules:
    - stretch: build with GCC 7 from gcc-mozilla.
    - Call python with -B when regenerating the control files, so as to not
      generate bytecode files.
    - Call debian/l10n/gen with C.UTF-8 as the locale, otherwise it fails
    in stretch when opening the iso-codes files.
    - stretch: don't set NASM on !x86.

  [Mike Hommey]
  * debian/control*: Bump nss build dependency.

  * build/unix/elfhack/elf.cpp, build/unix/elfhack/elfxx.h: Fix elfhack
    for files > 2GiB and < 4GiB. bz#1495733.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Oct 2020 11:53:39 +0900

firefox (81.0-2) unstable; urgency=medium

  * dom/media/AsyncLogger.h: Fix AsyncLogger::TracePayload's mName
    size calculation. bz#1667007.

 -- Mike Hommey <glandium@debian.org>  Thu, 24 Sep 2020 16:22:35 +0900

firefox (81.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-42, also known as:
    CVE-2020-15675, CVE-2020-15677, CVE-2020-15676, CVE-2020-15678,
    CVE-2020-15673, CVE-2020-15674.

  * debian/control*: Bump nss build dependency.
  * debian/rules: Change l10n build integration:
    - it is not necessary to override LOCALE_MERGEDIR anymore
    - it is not necessary to call compare-locales manually
    - set MACH_USE_SYSTEM_PYTHON=1

  * js/src/jit/none/MacroAssembler-none.h: Bump CodeAlignment to 8.
    bz#1666646.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Sep 2020 07:56:45 +0900

firefox (80.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Thu, 03 Sep 2020 09:36:06 +0900

firefox (80.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-36, also known as:
    CVE-2020-15664, CVE-2020-12401, CVE-2020-6829, CVE-2020-12400,
    CVE-2020-15665, CVE-2020-15666, CVE-2020-15667, CVE-2020-15668,
    CVE-2020-15670.

  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 26 Aug 2020 07:24:49 +0900

firefox (79.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-30, also known as:
    CVE-2020-15652, CVE-2020-6514, CVE-2020-15655, CVE-2020-15653,
    CVE-2020-6463, CVE-2020-15656, CVE-2020-15658, CVE-2020-15654,
    CVE-2020-15659.

  * debian/control*: Bump cbindgen, rustc, cargo, nss and python3 build
    dependencies.
  * debian/rules: Add -Cembed-bitcode=yes to rust command lines when
    using rustc >= 1.45.0.

  * build/moz.configure/rust.configure, debian/control*: Allow to build with
    cargo in unstable as of 2020-07-29.

 -- Mike Hommey <glandium@debian.org>  Wed, 29 Jul 2020 13:45:30 +0900

firefox (78.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix for mfsa2020-28.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Jul 2020 09:37:04 +0900

firefox (78.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/rules:
    - Replace --disable-ion with --disable-jit.
    - Don't generated the ICU data file for big-endian manually.

  * js/src/jit/mips-shared/MacroAssembler-mips-shared-inl.h,
    js/src/jit/mips64/MacroAssembler-mips64-inl.h: Add branchTestSymbol
    and fallibleUnboxPtr. bz#1642265.
  * config/external/icu/data/*icudata*, config/external/icu/data/moz.build,
    js/moz.configure: Unify the includion of the ICU data file. bz#1650299.
  * config/external/icu/common/moz.build,
    config/external/icu/common/sources.mozbuild,
    config/external/icu/data/convert_icudata.py,
    config/external/icu/data/moz.build,
    config/external/icu/defs.mozbuild,
    config/external/icu/i18n/moz.build,
    config/external/icu/i18n/sources.mozbuild,
    config/external/icu/icupkg/moz.build,
    config/external/icu/icupkg/sources.mozbuild,
    config/external/icu/moz.build,
    config/external/icu/toolutil/moz.build,
    config/external/icu/toolutil/sources.mozbuild,
    config/recurse.mk,
    intl/icu_sources_data.py: Automatically convert the little-endian ICU data
    file for big-endian builds.

 -- Mike Hommey <glandium@debian.org>  Fri, 03 Jul 2020 17:07:38 +0900

firefox (78.0-1) unstable; urgency=medium

  * New upstream release
  * Fixes for mfsa2020-24, also known as:
    CVE-2020-12415, CVE-2020-12416, CVE-2020-12417, CVE-2020-12418,
    CVE-2020-12419, CVE-2020-12420, CVE-2020-12421, CVE-2020-12422,
    CVE-2020-12424, CVE-2020-12425, CVE-2020-12426.

  * debian/control*: Bump nss build dependency.
  * debian/control*, debian/rules: Remove build dependency on python2.7.

