## firefox 84.0~mozillabinaries

=== debian/changelog ===
firefox (84.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 14 Dec 2020 17:04:58 -0800
