## firefox 84.0.1~mozillabinaries

=== debian/changelog ===
firefox (84.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 22 Dec 2020 08:31:20 -0800
