## firefox 85.0~mozillabinaries

=== debian/changelog ===
firefox (85.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 25 Jan 2021 16:09:59 -0800

firefox (84.0.2~mozillabinaries-1mx19+2) mx; urgency=medium

  * Removed adobe-flashplugin from Recommends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 23 Jan 2021 08:16:30 -0800
