## firefox 85.0.1~mozillabinaries

=== debian/changelog ===
firefox (85.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 04 Feb 2021 17:13:06 -0800
