## firefox 85.0.2~mozillabinaries

=== debian/changelog ===
firefox (85.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 10 Feb 2021 08:01:53 -0800
