## firefox 86.0

=== debian/changelog ===
firefox (86.0-1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    e24610f6ed4772b99c37d4c72dc939d87864a086.
  * External port from:
    https://deb.debian.org/debian/pool/main/f/firefox/firefox_86.0-1.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Fri, 05 Mar 2021 11:42:53 +0100

firefox (86.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-07, also known as:
    CVE-2021-23969, CVE-2021-23970, CVE-2021-23968, CVE-2021-23974,
    CVE-2021-23971, CVE-2021-23972, CVE-2021-23975, CVE-2021-23973,
    CVE-2021-23978, CVE-2021-23979.

  * debian/control*: Bump nss and cbindgen build dependencies.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Feb 2021 06:57:42 +0900

firefox (85.0.1-1) unstable; urgency=medium

  * New upstream release.

  * build/moz.configure/rust.configure, debian/control*: Allow to build with
    cargo in unstable.

 -- Mike Hommey <glandium@debian.org>  Sat, 06 Feb 2021 07:54:04 +0900

firefox (85.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-03, also known as:
    CVE-2021-23953, CVE-2021-23954, CVE-2021-23955, CVE-2021-23956,
    CVE-2021-23958, CVE-2021-23960, CVE-2021-23961, CVE-2021-23962,
    CVE-2021-23963, CVE-2021-23964, CVE-2021-23965.

  * debian/control*: Bump rustc, cargo and nss build dependencies.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Jan 2021 09:06:28 +0900

firefox (84.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2021-01, also known as CVE-2020-16044.

  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Thu, 07 Jan 2021 07:27:55 +0900

firefox (84.0-3) unstable; urgency=medium

  * debian/browser.install.in: s/aarch64/arm64/, facepalm.

 -- Mike Hommey <glandium@debian.org>  Fri, 18 Dec 2020 10:09:12 +0900

firefox (84.0-2) unstable; urgency=medium

  * debian/browser.install.in: Install libmozsandbox.so on aarch64 and arm*.

 -- Mike Hommey <glandium@debian.org>  Fri, 18 Dec 2020 05:59:54 +0900

firefox (84.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2020-54, also known as:
    CVE-2020-16042, CVE-2020-26971, CVE-2020-26972, CVE-2020-26973,
    CVE-2020-26974, CVE-2020-26976, CVE-2020-26978, CVE-2020-26979,
    CVE-2020-35111, CVE-2020-35113, CVE-2020-35114.

  * debian/control*: Bump nss build dependency.

  * build/moz.configure/rust.configure, debian/control*: Revert changes from
    79.0-1 allowing to build with cargo in unstable as of 2020-07-29 because
    we have the right version now.
  * intl/icu_sources_data.py: Revert changes from 72.0-1 to avoid building
    ICU in parallel because we don't build ICU using this script anymore.

 -- Mike Hommey <glandium@debian.org>  Wed, 16 Dec 2020 06:30:02 +0900
