=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3 (>= 3.6),
                dpkg-dev,
                libnspr4-dev (>= 2:4.26~),
-               libnss3-dev (>= 2:3.58~),
+               libnss3-dev (>= 2:3.61~),
                libvpx-dev (>= 1.8.0),
                libdbus-glib-1-dev,
                libffi-dev,
@@ -28,12 +28,12 @@
                libasound2-dev,
                yasm,
                nasm (>= 2.14) [amd64 i386],
-               rustc (>= 1.43),
-               cargo (>= 0.43),
+               rustc (>= 1.47),
+               cargo (>= 0.47),
                llvm-dev,
                libclang-dev,
                clang,
-               cbindgen (>= 0.15.0),
+               cbindgen (>= 0.16.0),
                nodejs (>= 10),
                zip,
                unzip,
@@ -61,7 +61,7 @@
          procps,
          debianutils (>= 1.16),
          libnspr4 (>= 2:4.26~),
-         libnss3 (>= 2:3.58~)
+         libnss3 (>= 2:3.61~)
 Recommends: libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,
